            #GIT_CMT=17174f685401e5b255faf408327b075278ce4f08
            #GIT_CMT=8a305e5a61856c7510350b0ade5a5dc5e9255dbf
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT proxy
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:      kata-proxy
Version:   1.2.0
Release:    1.el7
Source0: kata-proxy-1.2.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig(systemd)
BuildRequires: git
BuildRequires: golang >= 1.9.2
Summary  : Host communication proxy for Kata containers
Group    : Development/Tools
License  : Apache-2.0

#!BuildIgnore: post-build-checks


%description
This component of Kata containers implements host-side communication (I/O streams) with processes within containers through virtio serial interface exported by QEMU.

%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0

%prep

%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%clean
echo "Clean build root"
rm -rf %{buildroot}

%install
make install LIBEXECDIR=%{buildroot}%{LIBEXECDIR}

%files
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-proxy
%changelog
* Tue Aug 21 2018 Honza <jan.koutny@oracle.com> - 1.2.0-1.el7
- Static .spec file for 1.2.0

